<!DOCTYPE html>
<html lang="en">
<head>
  {% set base = "." %}
  {% import os %}
  {% set directory = os.path.abspath(os.path.dirname("__file__")) %}
  {% set topics_path = os.path.join(directory, handler.kwargs.dir) %}
  {% set topics = [f for f in next(os.walk(topics_path))[1]] %}
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Tech Dispatches</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/css/bootstrap.min.css">
  <link href="{{base}}/style.css" rel="stylesheet">
</head>
<body>
  <div class="container pt-4 mt-4">
    <h1>Tech Dispatches</h1>
    <p class="lead mb-4">
      Dispatches are a curation of step-by-step technology-related guides.
    </p>

    <h2>List</h2>
    <div class="d-flex flex-wrap my-4">
      {% for topic in topics %}
        <a class="px-2 mx-2 h5" href="dispatch/{{topic}}/">{{topic}}</a>
      {% end %}
    </div>

    <h2 class="mt-4">Why</h2>
    <p class="my-4">
      Over the years I have written several how-to guides, technical write-ups out of the need for personal documentation and business requirements. Often, these would also be the topics of interest for other developers on my team.
    </p>
    <p class="my-4">
      Each dispatch is a brief memo on how to use a specific technology concept with step-by-step description aimed as a teaching aid.
    </p>
    <p class="my-4">
      If you find a mistake please report as a <a href="https://gitlab.com/bhanu.k/dispatches/issues/">GitLab issue</a> or <a href="mailto:talk2kish@gmail.com">Email</a> me.
    </p>

    <h2 class="mt-4">Subscribe</h2>
    <p class="my-4">
      <a href="subscribe">Subscribe</a> for future dispatches.
    </p>

    <h2>About</h2>
    <p class="my-4">
      I'm Bhanu. I work with Gramener's product team. Reach out to chat.
    </p>
    <p>
      <a class="pr-2 mr-2" href="https://bkamapantula.github.io/">Blog</a>
      <a class="px-2 mx-2" href="mailto:talk2kish@gmail.com">Email</a>
      <a class="px-2 mx-2" href="https://twitter.com/thoughtisdead">Twitter</a>
    </p>
  </div>
</body>
</html>
